Subject: Re: bug#2056: 23.0.60; Enabling flyspell degrades performance

From: Chong Yidong <[email-masked]>
Date: Thu, 16 Apr 2009 14:54:14 -0400

Dan Nicolaescu <[email-masked]> wrote:

> Following the recipe from bug#2717 on GNU/Linux shows a slowdown for
> me too.

Turns out that the flyspell's sgml-mode-specific function,
sgml-mode-flyspell-verify, was quite sloppily written (among other
things, it was leaking markers).  I've checked in a version that is much
faster.  The slowdown observed with sgml-mode + flyspell should be gone
now.  This solves bug#2717.

However, there appears to be a slowdown still present on Mac OS.

In bug#2056, Ian Eure claims that there is a slowdown for all major
modes (observed on Mac OS), and in bug#2503 Leo observes a slowdown
(also observed on Mac OS).

Adrian, these may be related to how the NS port handles processes, or
tool bar update, or something along these lines.  Can you see if you can
reproduce it?